Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Oomph-Luna-Papyrus installation Error(Installation)
Oomph-Luna-Papyrus installation Error [message #1705562] Mon, 17 August 2015 13:48 Go to next message
MyungWoon Oh is currently offline MyungWoon OhFriend
Messages: 52
Registered: March 2012
Member
I tried to set up a development environment for Papyrus using Oomph.
Actually I had already made Papyrus dev environment using Oomph for 5 times, so I knew how to do it.

But this time, I got errors like below.
I remove oomph and reinstall it and Papyrus projects 3 times but still produced the same result.

To be short, Missing requirement: artificial_root 1.0.0.v1439818038835 requires 'org.eclipse.upr.utp 0.0.0' but it could not be found

I don't think this is the Papyrus problem, but it happens and I want to solve this problem.

Anyone knows about this?

Info
JDK : Oracke JDK 1.7.0_80 for 64bit
Oomph config:
index.php/fa/22925/0/
The actual build no is 1.1.0 build 1595. The above capture is taken few weeks ago, but the selected items are the same as Today's.
--------------------
Calculating requirements and dependencies.
Cannot complete the request. Generating details.
Connecting Git team provider.
ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the install because one or more required items could not be found.
at org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:662)
at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:994)
at org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:125)
at org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:912)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:2952)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:2911)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:3996)
at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2313)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:3990)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:3988)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:2902)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:2877)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:2771)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:542)
at org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:627)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
ERROR: org.eclipse.equinox.p2.director code=0 Software being installed: artificial_root 1.0.0.v1439818038835
ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement: artificial_root 1.0.0.v1439818038835 requires 'org.eclipse.upr.utp 0.0.0' but it could not be found

Took 1549 seconds.
There are failed tasks.
Press Back to choose different settings or Cancel to abort.
-----------------------------

[Updated on: Mon, 17 August 2015 13:51]

Report message to a moderator

Re: Oomph-Luna-Papyrus installation Error [message #1705564 is a reply to message #1705562] Mon, 17 August 2015 14:09 Go to previous messageGo to next message
Christian Damus is currently offline Christian DamusFriend
Messages: 1206
Registered: July 2009
Location: Canada
Senior Member

Hi,

Are you consistently using the Luna branch for all of the Papyrus
(sub-)projects that you have selected in the Oomph wizard's project
import page? The UPR UTP profile requirement is new in Neon (in
support of diagram tests generation) and should not be required for
either the Mars or the Luna branch.

If you can confirm that you're not accidentally pulling in Neon
content, please raise a bug on the Papyrus project.

Thanks,

Christian


On 2015-08-17 13:48:43 +0000, MyungWoon Oh said:

> I tried to set up a development environment for Papyrus using Oomph.
> Actually I had already made Papyrus dev environment using Oomph for 5
> times, so I knew how to do it.
>
> But this time, I got errors like below.
> I remove oomph and reinstall it and Papyrus projects 3 times but still
> produced the same result.
>
> To be short, Missing requirement: artificial_root 1.0.0.v1439818038835
> requires 'org.eclipse.upr.utp 0.0.0' but it could not be found
>
> I don't think this is the Papyrus problem, but it happens and I want to
> solve this problem.
>
> Anyone knows about this?
>
> Info
> JDK : Oracke JDK 1.7.0_80 for 64bit
> Oomph config:
>
> --------------------
> Calculating requirements and dependencies.
> Cannot complete the request. Generating details.
> Connecting Git team provider.
> ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the
> install because one or more required items could not be found.
> at
> org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:662)
>
> at
> org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:994)
>
> at
> org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:125)
>
> at
> org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:912)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:2952)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:2911)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:3996)
>
> at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2313)
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:3990)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:3988)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:2902)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:2877)
>
> at
> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:2771)
>
> at
> org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:542)
>
> at
> org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:627)
>
> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
> ERROR: org.eclipse.equinox.p2.director code=0 Software being
> installed: artificial_root 1.0.0.v1439818038835
> ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement:
> artificial_root 1.0.0.v1439818038835 requires 'org.eclipse.upr.utp
> 0.0.0' but it could not be found
>
> Took 1549 seconds.
> There are failed tasks.
> Press Back to choose different settings or Cancel to abort.
> -----------------------------
> <image>
Re: Oomph-Luna-Papyrus installation Error [message #1705568 is a reply to message #1705564] Mon, 17 August 2015 14:34 Go to previous messageGo to next message
Christian Damus is currently offline Christian DamusFriend
Messages: 1206
Registered: July 2009
Location: Canada
Senior Member

Well, in fact, I can see the problem in the papyrus.setup model, so I
have raised the bugzilla, myself:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=475169

You should find the problem resolved, now (or, at least, as soon as the
git change propagates to the Oomph index).

Cheers,

Christian

On 2015-08-17 14:09:26 +0000, Christian W. Damus said:

> Hi,
>
> Are you consistently using the Luna branch for all of the Papyrus
> (sub-)projects that you have selected in the Oomph wizard's project
> import page? The UPR UTP profile requirement is new in Neon (in
> support of diagram tests generation) and should not be required for
> either the Mars or the Luna branch.
>
> If you can confirm that you're not accidentally pulling in Neon
> content, please raise a bug on the Papyrus project.
>
> Thanks,
>
> Christian
>
>
> On 2015-08-17 13:48:43 +0000, MyungWoon Oh said:
>
>> I tried to set up a development environment for Papyrus using Oomph.
>> Actually I had already made Papyrus dev environment using Oomph for 5
>> times, so I knew how to do it.
>>
>> But this time, I got errors like below.
>> I remove oomph and reinstall it and Papyrus projects 3 times but still
>> produced the same result.
>>
>> To be short, Missing requirement: artificial_root 1.0.0.v1439818038835
>> requires 'org.eclipse.upr.utp 0.0.0' but it could not be found
>>
>> I don't think this is the Papyrus problem, but it happens and I want to
>> solve this problem.
>>
>> Anyone knows about this?
>>
>> Info
>> JDK : Oracke JDK 1.7.0_80 for 64bit
>> Oomph config:
>>
>> --------------------
>> Calculating requirements and dependencies.
>> Cannot complete the request. Generating details.
>> Connecting Git team provider.
>> ERROR: org.eclipse.equinox.p2.director code=10053 Cannot complete the
>> install because one or more required items could not be found.
>> at
>> org.eclipse.oomph.targlets.internal.core.TargletContainer.forceUpdate(TargletContainer.java:662)
>>
>> at
>> org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl$4.run(TargletTaskImpl.java:994)
>>
>> at
>> org.eclipse.oomph.util.pde.TargetPlatformUtil.runWithTargetPlatformService(TargetPlatformUtil.java:125)
>>
>> at
>> org.eclipse.oomph.setup.targlets.impl.TargletTaskImpl.perform(TargletTaskImpl.java:912)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:2952)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.access$1(SetupTaskPerformer.java:2911)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil$1.run(SetupTaskPerformer.java:3996)
>>
>> at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2313)
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.performNeededSetupTasks(SetupTaskPerformer.java:3990)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer$WorkspaceUtil.access$0(SetupTaskPerformer.java:3988)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:2902)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:2877)
>>
>> at
>> org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:2771)
>>
>> at org.eclipse.oomph.setup.ui.wizards.ProgressPage$9.run(ProgressPage.java:542)
>> at
>> org.eclipse.oomph.setup.ui.wizards.ProgressPage$11$1.run(ProgressPage.java:627)
>>
>> at org.eclipse.core.internal.jobs.Worker.run(Worker.java:54)
>> ERROR: org.eclipse.equinox.p2.director code=0 Software being installed:
>> artificial_root 1.0.0.v1439818038835
>> ERROR: org.eclipse.equinox.p2.director code=0 Missing requirement:
>> artificial_root 1.0.0.v1439818038835 requires 'org.eclipse.upr.utp
>> 0.0.0' but it could not be found
>>
>> Took 1549 seconds.
>> There are failed tasks.
>> Press Back to choose different settings or Cancel to abort.
>> -----------------------------
>> <image>
Re: Oomph-Luna-Papyrus installation Error [message #1705569 is a reply to message #1705564] Mon, 17 August 2015 14:35 Go to previous messageGo to next message
MyungWoon Oh is currently offline MyungWoon OhFriend
Messages: 52
Registered: March 2012
Member
Thank you for the quick answer.

This is what i've done.
I chosed 'Luna' whenever I could specify a platform version.

index.php/fa/22926/0/

index.php/fa/22927/0/

index.php/fa/22928/0/

index.php/fa/22929/0/

index.php/fa/22930/0/

I removed the 'All Tests' from selection, but it still produces the same error.

If this is a bug, how can I report this as a bug?
Re: Oomph-Luna-Papyrus installation Error [message #1705607 is a reply to message #1705569] Mon, 17 August 2015 18:55 Go to previous message
Christian Damus is currently offline Christian DamusFriend
Messages: 1206
Registered: July 2009
Location: Canada
Senior Member

Hi,

Indeed, as I mentioned in my other reply, it should be fixed already.

HTH,

Christian


On 2015-08-17 14:35:45 +0000, MyungWoon Oh said:

> Thank you for the quick answer.
>
> This is what i've done.
> I chosed 'Luna' whenever I could specify a platform version.
>
>
>
>
>
>
>
>
>
>
>
> I removed the 'All Tests' from selection, but it still produces the same error.
>
> If this is a bug, how can I report this as a bug?
> <image>
> <image>
> <image>
> <image>
> <image>
Previous Topic:Can Papyrus convert uml file to xmi file?
Next Topic:I need a List of the diagram tool ID's in Papyrus
Goto Forum:
  


Current Time: Thu Jul 16 15:48:30 GMT 2020

Powered by FUDForum. Page generated in 0.01658 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top